$Structure = get-childitem C:\PowerShellScripts\mp3 -recurse | where-object {$_.Mode -match "d"}
foreach ($Element in $structure){
$MP3Path = $Element.PSPath + "\*.mp3"
if (get-childitem $MP3Path)
{
$Element.PSPath = $element.PSPath -replace "PowerShellScripts",
"Target"
new-item $Element.PsPath -type directory -ea SilentlyContinue
}
}
